<?php
//postranní panel s widgety
add_action( 'widgets_init', 'my_register_sidebars' );

function my_register_sidebars() {
	register_sidebar(
		array(
			'id' => 'sb',
			'name' => 'Sidebar',
			'description' => 'Postranníi panel na stránkách a úvodní stránce',
			'before_widget' => '<div style="margin:15px 0px 10px 0px;">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title" style="display:none;">',
			'after_title' => '</h3>'
		)
	);
    register_sidebar(
		array(
			'id' => 'komentare',
			'name' => 'Komentáře',
			'description' => 'Místo pro umístění widgetů (zobrazí se pouze pod příspěvkem u části s komentáři)',
			'before_widget' => '<div id="%1$s" class="widget-%2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
 }
add_theme_support('post-thumbnails');
set_post_thumbnail_size(100, 60, true);
add_theme_support('automatic-feed-links');
if(function_exists('register_nav_menu')){
register_nav_menu('hlavnimenu', 'HlavnĂ­ menus');
}

	if ( ! defined( 'HEADER_TEXTCOLOR' ) )
		define( 'HEADER_TEXTCOLOR', '' );

//%s je cesta k ĹˇablonÄ›
	if ( ! defined( 'HEADER_IMAGE' ) )
		define( 'HEADER_IMAGE', '%s/img/toppers/top.jpg' );

// The height and width of your custom header. You can hook into the theme's own filters to change these values.
// Add a filter to twentyten_header_image_width and twentyten_header_image_height to change these values.
	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'twentyten_header_image_width', 983 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'twentyten_header_image_height', 180 ) );

// We'll be using post thumbnails for custom header images on posts and pages.
// We want them to be 940 pixels wide by 198 pixels tall.
// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );

// Don't support text inside the header image.
	if ( ! defined( 'NO_HEADER_TEXT' ) )
		define( 'NO_HEADER_TEXT', true );

// Add a way for the custom header to be styled in the admin panel that controls
// custom headers. See twentyten_admin_header_style(), below.
	add_custom_image_header( '', 'twentyten_admin_header_style' );
// ... and thus ends the changeable header business.

        function cce_comments_cb($comment){
            $GLOBALS['comment'] = $comment;
            ?>
                <div class="komentars">
                    <p class="metadates" style="border-top:1px #cd906f solid;"><?php echo comment_author().': '; ?></p>
                <div class="konecnekomentar"><?php comment_text() ?></div>
                <p class="metadates" style="border-bottom:1px #cd906f solid; text-align:right;"><?php edit_comment_link('Upravit','',' - '); ?>příspěvek ze dne <span style="color:"><?php comment_date(); ?> <?php comment_time(); ?></span></p>
                </div>
<?php
        }
?>